<?php
declare(strict_types=1);

namespace App\Entity\Booking;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * @todo : A la suite de la migration, il faut supprimer le nom de la table pour avoir une table EventRecur, et supprimer l'attribut discr.
 */
//#[Auditable]
#[ORM\Entity]
#[ORM\Table(name: 'BookingRecur')]
class EventRecur extends AbstractBookingRecur
{
    #[ORM\Column(length: 255, nullable: false)]
    private string $discr = 'event';

    #[ORM\ManyToOne(inversedBy: 'eventRecur')]
    private Event $event;

    public function getDiscr(): ?string
    {
        return $this->discr;
    }

    public function setDiscr(string $discr): self
    {
        $this->discr = $discr;

        return $this;
    }

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function setEvent(?Event $event): self
    {
        $this->event = $event;

        return $this;
    }
}
